if flags.olen then
  set_visible_object(5,false)
  speciale_action(2,1)
  speciale_action(2,2)
  speciale_action(2,obj.luk_14_11.id)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "olenij_rog_17_1") then
    return
  end
  if sender==1 then
    if obj_id == 5 then
      if obj.olenij_rog_17_1 and attachedID == obj.olenij_rog_17_1.id then
        Block_Show_Cur(true)
        flags.olen = true
        playeffect("gol_ins")
        removeFromMouse(attachedID)
        UnStoreObj(attachedID)
        setCursor(5,3)
        set_visible_object(5,false)
        speciale_action(2,3,true,0.7)
        StartTimer(6443,1,"frame1")
      else
        CreatePlashechka("579","he")
      end
    end
    if obj_id == obj.luk_14_11.id then
      neighbors.ZalBratyevOlen.lock = true
      neighbors.ZalBratyevHidden.lock = false
      StoreObj(obj.luk_14_11.id);
    end;
  end
  if sender == 26 then
  --  CloseSatelite()
  end
end

function frame1()
  speciale_action(2,1,true,1.5)
  playeffect("arr_open")
  speciale_action(2,2,true,1.5)
  speciale_action(2,obj.luk_14_11.id,true,1.5)
  StartTimer(6443,1.5,"unBlock_Show_Cur")
end


